# Seems not to build with -j24, we choose -j6
%global make %(cpus=%_smp_mflags;if [ "${cpus##-j}" -gt 6 ];then echo make -j6;else echo make $cpus;fi)

%define oname webkitgtk

%define api 4.0

%define javascriptcoregtk_major 18
%define libjavascriptcoregtk %mklibname javascriptcoregtk %{api} %{javascriptcoregtk_major}
%define javascriptcoregtk_gir %mklibname javascriptcore-gir %{api}

%define webkit2_major 37
%define libwebkit2 %mklibname webkit2gtk %{api} %{webkit2_major}
%define webkit2_gir %mklibname webkit2gtk-gir %{api}

%define develname %mklibname -d webkit2

Summary:	Web browser engine
Name:		webkit2
Version:	2.14.6
Release:	%mkrel 1
License:	BSD and LGPLv2+
Group:		System/Libraries
Source0:	http://webkitgtk.org/releases/%{oname}-%{version}.tar.xz
Patch0:		webkitgtk-typelib-sharelib-link.patch
URL:		http://www.webkitgtk.org
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	fontconfig-devel
BuildRequires:	libicu-devel
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(harfbuzz) >= 0.9.7
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	sqlite3-devel
BuildRequires:	libgstreamer1.0-plugins-base-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	enchant-devel
BuildRequires:	gperf
BuildRequires:	python-devel >= 2.7.0
BuildRequires:	cairo-devel >= 1.10.2
BuildRequires:	ruby
BuildRequires:	libnotify-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libpng-devel
BuildRequires:	hyphen-devel
BuildRequires:	libx11-devel
BuildRequires:	libxcomposite-devel
BuildRequires:	libxdamage-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxt-devel
BuildRequires:	cmake >= 2.8.8
BuildRequires:	pkgconfig(gnutls)
Requires:	%{libwebkit2} = %{version}

%description
WebKit is an open source web browser engine.

%package	jsc
Summary:	JavaScriptCore shell for WebKit GTK+
Group:		Development/GNOME and GTK+

%description	jsc
jsc is a shell for JavaScriptCore, WebKit's JavaScript engine. It
allows you to interact with the JavaScript engine directly.

%package -n	%{libwebkit2}
Summary:	GTK+ port of WebKit web browser engine
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{libwebkit2}
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux.

%package -n	%{libjavascriptcoregtk}
Summary:        GTK+ port of WebKit web browser engine
Group:          System/Libraries

%description -n	%{libjavascriptcoregtk}
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux.

%package -n	%{develname}
Summary:	Development files for WebKit GTK+ port
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libwebkit2gtk-devel = %{version}-%{release}
Requires:	%{libjavascriptcoregtk} = %{version}
Requires:	%{libwebkit2} = %{version}
Requires:	%{javascriptcoregtk_gir} = %{version}
Requires:	%{webkit2_gir} = %{version}

%description -n	%{develname}
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux. This package contains development headers.

%package -n	%{javascriptcoregtk_gir}
Summary:        GObject Introspection interface description for JSCore
Group:          System/Libraries
Requires:       %{libjavascriptcoregtk} = %{version}-%{release}

%description -n	%{javascriptcoregtk_gir}
GObject Introspection interface description for JSCore.

%package -n	%{webkit2_gir}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libwebkit2} = %{version}-%{release}

%description -n	%{webkit2_gir}
GObject Introspection interface description for WebKit.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
%define myflags %(echo %{optflags} | sed 's/-g /-g1 /')
export CFLAGS="%myflags"
export CXXFLAGS="%myflags"
export GI_SCANNER_DISABLE_CACHE="yes"
%cmake -DPORT=GTK \
    -DCMAKE_C_FLAGS_RELWITHDEBINFO="-DNDEBUG" \
    -DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-DNDEBUG"
%make

%install
%makeinstall_std -C build

%find_lang WebKit2GTK-%{api}

%files -f WebKit2GTK-%{api}.lang
%dir %{_libexecdir}/webkit2gtk-%{api}
%{_libexecdir}/webkit2gtk-%{api}/*
%dir %{_libdir}/webkit2gtk-%{api}
%{_libdir}/webkit2gtk-%{api}/injected-bundle/libwebkit2gtkinjectedbundle.so

%files jsc
%{_libexecdir}/webkit2gtk-%{api}/jsc

%files -n %{libjavascriptcoregtk}
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}.*

%files -n %{libwebkit2}
%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}
%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}.*

%files -n %{develname}
%{_includedir}/webkitgtk-%{api}
%{_libdir}/*-%{api}.so
%{_libdir}/pkgconfig/*-%{api}.pc
%{_datadir}/gir-1.0/*-%{api}.gir

%files -n %{javascriptcoregtk_gir}
%{_libdir}/girepository-1.0/JavaScriptCore-%{api}.typelib

%files -n %{webkit2_gir}
%{_libdir}/girepository-1.0/WebKit2-%{api}.typelib
%{_libdir}/girepository-1.0/WebKit2WebExtension-%{api}.typelib


%changelog
* Fri Apr 07 2017 ns80 <ns80> 2.14.6-1.mga5
+ Revision: 1096080
- new version 2.14.6 that fixes:
  CVE-2016-9643, CVE-2017-2364, CVE-2017-2367, CVE-2017-2369,
  CVE-2017-2377, CVE-2017-2392, CVE-2017-2394, CVE-2017-2405,
  CVE-2017-2419, CVE-2017-2442, CVE-2017-2446, CVE-2017-2454,
  CVE-2017-2459, CVE-2017-2460, CVE-2017-246[56], CVE-2017-2468,
  CVE-2017-247[01], CVE-2017-247[56], CVE-2017-2481
- 2.14.5
- update to version 2.14.3 for WSA-2016-0006 and WSA-2017-0001 (mga#19721)

  + luigiwalser <luigiwalser>
    - 2.14.4
    - 2.12.4
    - 2.12.3
    - 2.10.9
    - 2.10.8

* Fri Apr 17 2015 luigiwalser <luigiwalser> 2.6.6-1.mga5
+ Revision: 820355
- remove CVE-2015-2330 patch (fixed upstream)
- 2.6.6

* Wed Mar 18 2015 luigiwalser <luigiwalser> 2.6.5-2.mga5
+ Revision: 818873
- add upstream patch to fix CVE-2015-2330

* Fri Feb 13 2015 luigiwalser <luigiwalser> 2.6.5-1.mga5
+ Revision: 814862
- 2.6.5

* Fri Dec 19 2014 luigiwalser <luigiwalser> 2.6.4-1.mga5
+ Revision: 804320
- 2.6.4

  + fwang <fwang>
    - use JAVASCRIPTCORE_VERSION_MAJOR macro rather than hardcode soversion

* Fri Oct 24 2014 fwang <fwang> 2.6.2-2.mga5
+ Revision: 792910
- force -j6 for more than 6 cpus
- bump rel
- 2.6.2

* Wed Oct 15 2014 umeabot <umeabot> 2.6.1-2.mga5
+ Revision: 745955
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 2.6.1-1.mga5
+ Revision: 738653
- 2.6.1

* Tue Sep 30 2014 tv <tv> 2.6.0-3.mga5
+ Revision: 731942
- adjust gir requires

* Mon Sep 29 2014 tv <tv> 2.6.0-2.mga5
+ Revision: 731804
- add patch from suse: fixup the .gir file to contain the full library name for libjavascriptcore

* Mon Sep 29 2014 wally <wally> 2.6.0-1.mga5
+ Revision: 731714
- new version 2.6.0
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3-3.mga5
+ Revision: 690286
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 fwang <fwang> 2.5.3-2.mga5
+ Revision: 669056
- drop obsoletes

* Thu Aug 28 2014 fwang <fwang> 2.5.3-1.mga5
+ Revision: 669027
- update file list
- build gtk port
- imported package webkit2

